summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoy Marples <uberlord@gentoo.org>2006-05-02 18:49:17 +0000
committerRoy Marples <uberlord@gentoo.org>2006-05-02 18:49:17 +0000
commitf5485fafbc88a0f306760938754ce62175ec45f6 (patch)
tree4d6d0256176466236434fc495908024d385a0928 /sys-apps
parentFixed a typo. (diff)
downloadgentoo-2-f5485fafbc88a0f306760938754ce62175ec45f6.tar.gz
gentoo-2-f5485fafbc88a0f306760938754ce62175ec45f6.tar.bz2
gentoo-2-f5485fafbc88a0f306760938754ce62175ec45f6.zip
Redone patches
(Portage version: 2.1_pre10-r2)
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/baselayout/ChangeLog7
-rw-r--r--sys-apps/baselayout/files/baselayout-1.11.15-coldplug.patch14
-rw-r--r--sys-apps/baselayout/files/baselayout-1.12.0_pre19-coldplug.patch46
3 files changed, 40 insertions, 27 deletions
diff --git a/sys-apps/baselayout/ChangeLog b/sys-apps/baselayout/ChangeLog
index 56b946583554..90dd84f4dbe4 100644
--- a/sys-apps/baselayout/ChangeLog
+++ b/sys-apps/baselayout/ChangeLog
@@ -1,10 +1,15 @@
# ChangeLog for sys-apps/baselayout
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/baselayout/ChangeLog,v 1.324 2006/05/02 13:10:33 uberlord Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/baselayout/ChangeLog,v 1.325 2006/05/02 18:49:17 uberlord Exp $
# See the rc-scripts ChangeLog in subversion for release info:
# http://sources.gentoo.org/viewcvs.py/*checkout*/baselayout/trunk/ChangeLog
+ 02 May 2006; Roy Marples <uberlord@gentoo.org>
+ files/baselayout-1.11.15-coldplug.patch,
+ files/baselayout-1.12.0_pre19-coldplug.patch:
+ Redone patches so they actually work.
+
*baselayout-1.12.0_pre19-r1 (02 May 2006)
*baselayout-1.11.15-r2 (02 May 2006)
diff --git a/sys-apps/baselayout/files/baselayout-1.11.15-coldplug.patch b/sys-apps/baselayout/files/baselayout-1.11.15-coldplug.patch
index f91896c0d2b3..7795ff9ffae0 100644
--- a/sys-apps/baselayout/files/baselayout-1.11.15-coldplug.patch
+++ b/sys-apps/baselayout/files/baselayout-1.11.15-coldplug.patch
@@ -26,7 +26,7 @@ Index: sbin/runscript.sh
===================================================================
--- sbin/runscript.sh (revision 2021)
+++ sbin/runscript.sh (working copy)
-@@ -34,13 +34,14 @@
+@@ -34,13 +34,15 @@
# until after rc sysinit has completed so we punt them to the boot runlevel
if [[ -e /dev/.rcsysinit ]] ; then
eerror "ERROR: cannot run ${SVCNAME} until sysinit completes"
@@ -34,12 +34,16 @@ Index: sbin/runscript.sh
- if [[ ${RC_COLDPLUG} != "yes" ]] ; then
+ [[ "${RC_COLDPLUG} " == "!* "* ]] && exit 1
+ if [[ "${RC_COLDPLUG} " != "* "* ]] ; then
++ cd /etc/init.d
++ shopt -s nullglob extglob
for x in ${RC_COLDPLUG} ; do
- # We don't quote ${x} so we can do globbing
- [[ ${SVCNAME} == ${x} ]] && break
- [[ "!${SVCNAME}" == ${x} ]] && exit 1
+- # We don't quote ${x} so we can do globbing
+- [[ ${SVCNAME} == ${x} ]] && break
+- [[ "!${SVCNAME}" == ${x} ]] && exit 1
++ [[ ${SVCNAME} == "${x}" ]] && break
++ [[ "!${SVCNAME}" == "${x}" ]] && exit 1
done
-+ [[ ${SVCNAME} == ${x} ]] || exit 1
++ [[ ${SVCNAME} == "${x}" ]] || exit 1
fi
eerror "${SVCNAME} will be started in the ${BOOTLEVEL} runlevel"
if [[ ! -L /dev/.rcboot/"${SVCNAME}" ]] ; then
diff --git a/sys-apps/baselayout/files/baselayout-1.12.0_pre19-coldplug.patch b/sys-apps/baselayout/files/baselayout-1.12.0_pre19-coldplug.patch
index 31f30a81673c..a32af7ef2594 100644
--- a/sys-apps/baselayout/files/baselayout-1.12.0_pre19-coldplug.patch
+++ b/sys-apps/baselayout/files/baselayout-1.12.0_pre19-coldplug.patch
@@ -1,3 +1,28 @@
+Index: sbin/runscript.sh
+===================================================================
+--- sbin/runscript.sh (revision 2021)
++++ sbin/runscript.sh (working copy)
+@@ -27,13 +27,15 @@
+ # until after rc sysinit has completed so we punt them to the boot runlevel
+ if [[ -e /dev/.rcsysinit ]] ; then
+ eerror "ERROR: cannot run ${SVCNAME} until sysinit completes"
+- [[ ${RC_COLDPLUG} == "no" ]] && exit 1
+- if [[ ${RC_COLDPLUG} != "yes" ]] ; then
++ [[ "${RC_COLDPLUG} " == "!* "* ]] && exit 1
++ if [[ "${RC_COLDPLUG} " != "* "* ]] ; then
++ cd /etc/init.d
++ shopt -s nullglob extglob
+ for x in ${RC_COLDPLUG} ; do
+- # We don't quote ${x} so we can do globbing
+- [[ ${SVCNAME} == ${x} ]] && break
+- [[ "!${SVCNAME}" == ${x} ]] && exit 1
++ [[ ${SVCNAME} == "${x}" ]] && break
++ [[ "!${SVCNAME}" == "${x}" ]] && exit 1
+ done
++ [[ ${SVCNAME} == "${x}" ]] || exit 1
+ fi
+ eerror "${SVCNAME} will be started in the ${BOOTLEVEL} runlevel"
+ if [[ ! -L /dev/.rcboot/"${SVCNAME}" ]] ; then
Index: ChangeLog
===================================================================
--- ChangeLog (revision 2021)
@@ -37,24 +62,3 @@ Index: etc/conf.d/rc
# RC_NET_STRICT_CHECKING allows some flexibility with the 'net' service.
# The following values are allowed:
-Index: sbin/runscript.sh
-===================================================================
---- sbin/runscript.sh (revision 2021)
-+++ sbin/runscript.sh (working copy)
-@@ -27,13 +27,14 @@
- # until after rc sysinit has completed so we punt them to the boot runlevel
- if [[ -e /dev/.rcsysinit ]] ; then
- eerror "ERROR: cannot run ${SVCNAME} until sysinit completes"
-- [[ ${RC_COLDPLUG} == "no" ]] && exit 1
-- if [[ ${RC_COLDPLUG} != "yes" ]] ; then
-+ [[ "${RC_COLDPLUG} " == "!* "* ]] && exit 1
-+ if [[ "${RC_COLDPLUG} " != "* "* ]] ; then
- for x in ${RC_COLDPLUG} ; do
- # We don't quote ${x} so we can do globbing
- [[ ${SVCNAME} == ${x} ]] && break
- [[ "!${SVCNAME}" == ${x} ]] && exit 1
- done
-+ [[ ${SVCNAME} == ${x} ]] || exit 1
- fi
- eerror "${SVCNAME} will be started in the ${BOOTLEVEL} runlevel"
- if [[ ! -L /dev/.rcboot/"${SVCNAME}" ]] ; then